Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.tool
Class SchemaImportResolver

    java.lang.Object
      org.apache.xmlbeans.impl.tool.SchemaImportResolver

Direct Known Subclasses:
  BaseSchemaResourceManager

    public abstract class SchemaImportResolver

extends java.lang.Object

Nested Class Summary
`static interface` | `SchemaImportResolver.SchemaResource` Used to supply a schema resource with an optional associated expected-namespace-URI and original-location-URL.

Constructor Summary
`SchemaImportResolver()`

Method Summary
`abstract SchemaImportResolver.SchemaResource` | `lookupResource(java.lang.String nsURI, java.lang.String URL)` Called when the ImportLoader wishes to resolve the given import.
`abstract void` | `reportActualNamespace(SchemaImportResolver.SchemaResource resource, java.lang.String actualNamespace)` Called to notify that the expected namespace is different from the actual namespace, or if no namespace is known, to report the discovered namespace.
`protected void` | `resolveImports(SchemaImportResolver.SchemaResource[] resources)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaImportResolver

    public SchemaImportResolver()

Method Detail

### lookupResource

    public abstract SchemaImportResolver.SchemaResource lookupResource(java.lang.String nsURI,
                                                                       java.lang.String URL)

  Called when the ImportLoader wishes to resolve the given import. Should return a SchemaResource whose "equals" relationship reveals when a SchemaResource is duplicated and shouldn't be examined again. Returns null if the resource reference should be ignored.

### reportActualNamespace

    public abstract void reportActualNamespace(SchemaImportResolver.SchemaResource resource,
                                               java.lang.String actualNamespace)

  Called to notify that the expected namespace is different from the actual namespace, or if no namespace is known, to report the discovered namespace.

### resolveImports

    protected final void resolveImports(SchemaImportResolver.SchemaResource[] resources)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD